Summary: nDiary
Name: ruby-ndiary
Version: 0.9.4.2
Release: 1mh
Source0: http://www14.cds.ne.jp/~not/product/ndiary/archive/ndiary_%{version}.zip
NoSource: 0
URL: http://www14.cds.ne.jp/~not/product/ndiary/archive/
License: as same as Ruby
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: ruby
BuildArch: noarch

%description
nDiary is "diary to html" script.

%prep
%setup -q -n ndiary
rm -rf %{buildroot}

%build

%install
mkdir -p %{buildroot}%{_bindir}
RUBYVER=`/usr/bin/ruby -e "print RUBY_VERSION.split('.')[0,2].join('.')"`
mkdir -p %{buildroot}%{_libdir}/ruby/$RUBYVER/ndiary
install -d %{buildroot}%{_libdir}/ruby/$RUBYVER/ndiary/{lib,filter,plugin}
cd script
install -m 644 lib/* \
				%{buildroot}%{_libdir}/ruby/$RUBYVER/ndiary/lib/
install -m 644 filter/* \
				%{buildroot}%{_libdir}/ruby/$RUBYVER/ndiary/filter/
install -m 644 plugin/* \
				%{buildroot}%{_libdir}/ruby/$RUBYVER/ndiary/plugin/
install -m 644 ndiary-lib.rb sample.ndiary.conf diary\
				%{buildroot}%{_libdir}/ruby/$RUBYVER/ndiary/
echo "#!/bin/sh" > ndiary
echo "/usr/bin/ruby %{_libdir}/ruby/$RUBYVER/ndiary/diary \$*" >> ndiary
chmod a+x ndiary
mv ndiary %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%{_bindir}/ndiary
%{_libdir}/ruby/*/ndiary
%doc index.html product.css sample misc

%changelog
* Thu Apr  8 2004 metham <metham@mb.neweb.ne.jp>
- (0.9.4.2-1mh)
- version up.

* Tue Feb  3 2004 metham <metham@mb.neweb.ne.jp>
- (0.9.4.1-1mh)
- version up.

* Tue Dec 16 2003 metham <metham@mb.neweb.ne.jp>
- (0.9.4-1mh)
- version up.

* Wed Sep 03 2003 metham <metham@mb.neweb.ne.jp>
- (0.9.3.2-1mh)
- version up.

* Wed Sep 03 2003 metham <metham@mb.neweb.ne.jp>
- (0.9.3-1mh)
- version up.
- delete patches.

* Sat Feb 08 2003 metham <metham@mb.neweb.ne.jp>
- (0.9.2-4mh)
- add "$*" in ndiary executive script.

* Sun Jan 19 2003 metham <metham@mb.neweb.ne.jp>
- (0.9.2-3mh)
- add ndiary executive script.

* Thu Jan 16 2003 metham <metham@mb.neweb.ne.jp>
- (0.9.2-2mh)
- add ndiary.cal.diff patch.

* Wed Jan 15 2003 metham <metham@mb.neweb.ne.jp>
- (0.9.2-1mh)
- first release
